List customer orders
curl --request GET \
--url https://api.creem.io/v1/customers/{id}/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creem.io/v1/customers/{id}/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creem.io/v1/customers/{id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"object": "<string>",
"product": "<string>",
"amount": 2000,
"currency": "USD",
"status": "pending",
"type": "recurring",
"created_at": "2023-09-13T00:00:00Z",
"updated_at": "2023-09-13T00:00:00Z",
"customer": "<string>",
"transaction": "tx_1234567890",
"discount": "dis_1234567890",
"sub_total": 1800,
"tax_amount": 200,
"discount_amount": 100,
"amount_due": 1900,
"amount_paid": 1900,
"fx_amount": 15,
"fx_currency": "EUR",
"fx_rate": 1.2,
"affiliate": "<string>"
}
],
"pagination": {
"total_records": 0,
"total_pages": 0,
"current_page": 1,
"next_page": 2,
"prev_page": null
}
}List customer orders
Retrieve a paginated list of orders for a specific customer.
GET
/
v1
/
customers
/
{id}
/
orders
List customer orders
Authorizations
API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.
Path Parameters
The unique identifier of the customer
Query Parameters
The page number for pagination.
Example:
1
The number of items per page.
Example:
10
āI